> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Images

> Extract Google Images details — URL, source, description, dimensions, and thumbnail — by providing a query and image count

`$1.8 / 1k results`

Extract Google Images details — URL, source, description, dimensions, and thumbnail — by providing a query and image count

## Endpoint

`POST /api/v1/agents/google/images/run`

## Parameters

<ParamField body="queries" type="array" required>
  **List** · Image search queries. One per line.
</ParamField>

<ParamField body="maxResults" type="integer" default={50}>
  **Number** · Image results per query. Use 0 for all.
</ParamField>

## Response columns

| Field             | Display name     | Type   |
| ----------------- | ---------------- | ------ |
| `searchQuery`     | Search Query     | text   |
| `sourcePageUrl`   | Source Page URL  | url    |
| `image`           | Image            | url    |
| `thumbnail`       | Thumbnail        | url    |
| `title`           | Title            | text   |
| `sourceDomain`    | Source Domain    | text   |
| `imageWidth`      | Image Width      | number |
| `imageHeight`     | Image Height     | number |
| `thumbnailWidth`  | Thumbnail Width  | number |
| `thumbnailHeight` | Thumbnail Height | number |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/google/images/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "queries": [
        "LeBron James"
      ]
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/google/images/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "queries": [
          "LeBron James"
      ]
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "searchQuery": "LeBron James",
      "sourcePageUrl": "https://en.wikipedia.org/wiki/LeBron_James",
      "image": "https://upload.wikimedia.org/wikipedia/commons/7/7a/LeBron_James_%2851959977144%29_%28cropped2%29.jpg",
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQu7zF39XgUsaM32Ws5uOmgqSFD5GNvjbUN7A&s",
      "title": "LeBron James - Wikipedia",
      "sourceDomain": "en.wikipedia.org",
      "imageWidth": 1197,
      "imageHeight": 1387,
      "thumbnailWidth": 209,
      "thumbnailHeight": 242
    }
  ]
}
```
